// EOActionInsertionAssociation.h
// Copyright (c) 1995, NeXT Software, Inc. All rights reserved. 
//
// Bindings:
//   source:       bound to DisplayGroup from which objects should be copied.
//                 The key named in the source binding is not significant.
//   destination:  relationship property to add source EOs to.
// Description:
//   Upon receiving an action from its object, the EOActionInsertionAssociation
//   takes the object(s) selected in the DisplayGroup bound to its "source" aspect
//   and adds them to the relationship property of the selected object of the destination
//   aspect.
//   The object (usually a button) is disabled when no objects are selected in
//   the source and destination DisplayGroups.
//
// Example:
//   Bind source to any property of a Talent (person) DisplayGroup.
//   Bind destination to the "directors" relationship property of
//   a Movie DisplayGroup.
//   Pressing the button to which the association is bound will add the selected
//   Talent EOs to the "directors" property of the selected Movie.
//
#import <EOInterface/EOAssociation.h>

// For views and cells
@interface EOActionInsertionAssociation : EOAssociation
{
}
@end
