// EOMasterDetailAssociation.h
// Copyright (c)1995, NeXT Software, Inc. All rights reserved.
//
// The EOMasterDetailAssociation binds a detail DisplayGroup to a relationship
// property of the selected object in a master Display group.
//
// Bindings:
//     parent:          key for property in the master object to display in the detail.
//
// When the selected object in the parent DisplayGroup changes or the contents of the
// detail property of the selected object change, the dataSource of the detail
// Display group messaged with qualifyWithRelationshipKey:ofObject: and the
// source dataSource is told to fetch.
 
#import <EOInterface/EOAssociation.h>

@interface EOMasterDetailAssociation : EOAssociation
{
    id _currentMasterValue;
    id _currentMasterEO;
    unsigned _lastCount;
}
@end

// The MasterPeer Association binds a detail EODisplayGroup with an
// EODatabaseDataSource (as opposed to and EODetailDataSource) with
// a master DisplayGroup creating a "Qualified Peer" configuration.
// This configuration is different from Master-Detail in that any relatioship
// of the master entity can be bound, even if it is not a class property.
// However, with the Qualified Peer configuration, changes in the detail
// DisplayGroup are not reflected in the object graph of the master (e.g.
// and object inserted in the employees detail is not added to the employees
// array in the master Department EO, and therefore, proper foreign key assignment
// is not automatically performed).  In general, Qualified Peer is restricted to use
// when when no insertions and deletions will be performed in the detail.
@interface EOMasterPeerAssociation : EOMasterDetailAssociation
{
}
@end
