// EOPropertyListEncoding.h
// Copyright (c) 1995, NeXT Software, Inc. All rights reserved.

#import <Foundation/Foundation.h>

@protocol EOPropertyListEncoding
- initWithPropertyList:(NSDictionary *)propertyList owner:(id)owner;
    // Initializes a newly allocated object from a property list
    // Owner is optional and should be used by objects requiring a back
    // pointer to their owner.
- (void)awakeWithPropertyList:(NSDictionary *)propertyList;

- (void)encodeIntoPropertyList:(NSMutableDictionary *)propertyList;
    // Returns the object as a property list.
    // This method applied on EOModel will force the loading of
    // the whole model in memory. It's very costly if you are using an .eomodeld
@end
