// EOStoredProcedure.h
// Copyright (c) 1995, NeXT Software, Inc. All rights reserved.

#import <Foundation/Foundation.h>
#import <EOAccess/EOPropertyListEncoding.h>

@class EOModel;
@class EOAttribute;

@interface EOStoredProcedure : NSObject <EOPropertyListEncoding>
{
    NSString *_name;
    NSString *_externalName;
    EOModel *_model;
    NSArray *_arguments;
    NSDictionary *_userInfo;
}
- (EOStoredProcedure *)initWithName:(NSString *)name;
    // Create a stored procedure with the given name

- (NSString *)name;
    // return the name of the stored procedure
- (NSString *)externalName;
    // return the external name of the stored procedure
- (EOModel *)model;
    // return the model that contains this stored procedure
- (NSArray *)arguments;
    // return the array of EOAttributes that describe the names
    // and types of the stored procedure arguments.
- (NSDictionary *)userInfo;
    // user custom dictionary

- (void)setName:(NSString *)name;
    // set the name of the stored procedure
- (void)setExternalName:(NSString *)name;
    // set the external name of the stored procedure
- (void)setArguments:(NSArray *)arguments;
    // set the array of EOAttributes that describe the arguments to the
    // stored procedure
- (void)setUserInfo:(NSDictionary *)dictionary;
    // set the user custom info

@end

@interface EOStoredProcedure(EOModelBeautifier)
- (void)beautifyName;
    // Make the stored procedure name and all of its argument names
    // conform to the Next naming style
    // NAME -> name, FIRST_NAME -> firstName
@end
