// EOTextAssociation.h
// Enterprise Objects Framework
// Copyright (c)1993, NeXT Software, Inc. All rights reserved.
//
// The EOTextAssociation binds a NSText object (including NSCStringText and
// NSTextView) to a property of an EO containing text, RTF, RTFD.
//
// Bindings:
//     value:          text property of EO to be displayed in text view
//     editable:       BOOL property of EO indicating whether the user should be allowed
//                     to modify the text.
//
// Support for plain text, RTF, and RTFD:
// The EOTextAssociation can be bound to either plain text (NSString), RTF (encoded in
// an NSData) or RTFD (also NSData).  The type is determined by examining signature bytes
// in the beginning of the data.
// When the user modifies the text, the type to write back to the EO is determined by
// the settings in the text view.
//   Multiple Fonts        Allows Graphics      Type in EO
//   NO                    NO                   NSString text
//   YES                   NO                   NSData containing RTF
//   YES                   YES                  NSData containing RTFD
//
// Note that in EOF 1x, RTF was encoded in an NSString.  EOF 2x uses an NSData
// for consistency with the NSText OpenStep API.

#import <EOInterface/EOAssociation.h>


@interface EOTextAssociation:EOAssociation
{
    id _lastValue;
    unsigned _didChange:1;
}

@end
