/*
        Copyright (c) 1996, NeXT Software, Inc.
        All rights reserved.

        You may freely copy, distribute and reuse the code in this example.
        NeXT disclaims any warranty of any kind, expressed or implied,
        as to its fitness for any particular use.
*/
#import <EOAccess/EOAccess.h>

@class FlatFileContext;

typedef enum {String, Int, Float, Date, Data} FlatFileDataType;

@interface FlatFileChannel:EOAdaptorChannel
{
    EOEntity *selectedEntity;
    NSMutableArray *columnAttributes;
    NSArray *selectedAttributes;
    NSMutableArray *columns;
    NSMutableArray *resultSet;
    NSEnumerator *resultEnumerator;
    NSString *rowSeparator;
    NSString *columnSeparator;
    struct
    {
        unsigned isOpen:1;
        unsigned isFetchInProgress:1;
        unsigned _RESERVED:30;
    } _flags;
}

- initWithFlatFileContext:(FlatFileContext *)context;
- (void)dealloc;
- (void)openChannel;
- (void)closeChannel;
- (BOOL)isOpen;
- (void)insertRow:(NSDictionary *)row forEntity:(EOEntity *)entity;
- (unsigned)updateValues:(NSDictionary *)values
    inRowsDescribedByQualifier:(EOQualifier *)qualifier entity:(EOEntity *)entity;
- (unsigned)deleteRowsDescribedByQualifier:(EOQualifier *)qualifier entity:(EOEntity *)entity;
- (void)selectAttributes:(NSArray *)attributes fetchSpecification:(EOFetchSpecification *)spec lock:(BOOL)yn entity:(EOEntity *)entity;
- (void)evaluateExpression:(EOSQLExpression *)expression;
- (BOOL)isFetchInProgress;
- (NSArray *)describeResults;
- (NSMutableDictionary *)fetchRowWithZone:(NSZone *)zone;
- (void)cancelFetch;
- (NSDictionary *)primaryKeyForNewRowWithEntity:(EOEntity *)entity;

@end
